<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN" "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">

<faces-config>
	<application>
		<message-bundle>tvark.Resources</message-bundle>
	</application>

	<lifecycle>
		<phase-listener>tvark.jsf.RedirectListener</phase-listener>
	</lifecycle>

	<navigation-rule>
		<from-view-id>/*</from-view-id>
		<navigation-case>
			<from-outcome>goto_1</from-outcome>
			<to-view-id>/help/help_1.html</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>goto_2</from-outcome>
			<to-view-id>/help/help_2.html</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>goto_3</from-outcome>
			<to-view-id>/help/help_3.html</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>goto_4</from-outcome>
			<to-view-id>/help/help_4.html</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>goto_5</from-outcome>
			<to-view-id>/help/help_5.html</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>upload</from-outcome>
			<to-view-id>/upload.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>parameters</from-outcome>
			<to-view-id>/parameters.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>method</from-outcome>
			<to-view-id>/method.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>parametersMc</from-outcome>
			<to-view-id>/parameters-mc.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>parametersSa</from-outcome>
			<to-view-id>/parameters-sa.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>parametersBayes</from-outcome>
			<to-view-id>/parameters-bayes.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>results</from-outcome>
			<to-view-id>/results.jsp</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>resultParameters</from-outcome>
			<to-view-id>/result-parameters.jsp</to-view-id>
		</navigation-case>

	</navigation-rule>
	<managed-bean>
		<managed-bean-name>resultsBean</managed-bean-name>
		<managed-bean-class>tvark.beans.ResultsBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>uploadBean</managed-bean-name>
		<managed-bean-class>tvark.beans.UploadBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>parametersBean</managed-bean-name>
		<managed-bean-class>
			tvark.beans.ParametersBean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>methodBean</managed-bean-name>
		<managed-bean-class>tvark.beans.MethodBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>paramsBayesBean</managed-bean-name>
		<managed-bean-class>
			tvark.beans.ParamsBayesBean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>paramsMcBean</managed-bean-name>
		<managed-bean-class>
			tvark.beans.ParamsMCBean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>paramsSaBean</managed-bean-name>
		<managed-bean-class>
			tvark.beans.ParamsSABean
		</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>

	<managed-bean>
		<managed-bean-name>utilsBean</managed-bean-name>
		<managed-bean-class>tvark.beans.UtilsBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>

	<managed-bean>
		<managed-bean-name>scheduleBean</managed-bean-name>
		<managed-bean-class>
			tvark.beans.ScheduleBean
		</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>

	<converter>
		<converter-id>tvark.StringConverter</converter-id>
		<converter-class>tvark.jsf.StringConverter</converter-class>
	</converter>

	<component>
		<component-type>tvark.Copy</component-type>
		<component-class>tvark.jsf.CopyComponent</component-class>
	</component>



</faces-config>